------------------------------------------------------------
-- VHDL SRAM_TST3
-- 2015 7 11 23 57 26
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL SRAM_TST3
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity SRAM_TST3 Is
  port
  (
    BUS_A     : Out   STD_LOGIC_VECTOR(17 DOWNTO 0);         -- ObjectKind=Port|PrimaryId=BUS_A[17..0]
    BUS_D     : InOut STD_LOGIC_VECTOR(15 DOWNTO 0);         -- ObjectKind=Port|PrimaryId=BUS_D[15..0]
    BUS_NBE0  : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=BUS_NBE0
    BUS_NBE1  : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=BUS_NBE1
    BUS_NWE   : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=BUS_NWE
    CLK12M    : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CLK12M
    D0        : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=D0
    D1        : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=D1
    D2        : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=D2
    D3        : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=D3
    SDRAM_NCS : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=SDRAM_NCS
    SRAM_NCS  : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=SRAM_NCS
    SRAM_NOE  : Out   STD_LOGIC                              -- ObjectKind=Port|PrimaryId=SRAM_NOE
  );
  attribute MacroCell : boolean;

  attribute IsUserConfigurable : string;
  attribute IsUserConfigurable of SRAM_TST3 : Entity is "";

  attribute VersionControl_RevNumber : string;
  attribute VersionControl_RevNumber of SRAM_TST3 : Entity is "";


End SRAM_TST3;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of SRAM_TST3 is
   Component Clock_IC2                                       -- ObjectKind=Part|PrimaryId=IC2|SecondaryId=1
      port
      (
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-CLK
        CLKA   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-CLKA
        CLKO   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-CLKO
        LOCKED : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-LOCKED
        RST    : in  STD_LOGIC                               -- ObjectKind=Pin|PrimaryId=IC2-RST
      );
   End Component;

   Component Configurable_IC3                                -- ObjectKind=Part|PrimaryId=IC3|SecondaryId=1
      port
      (
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC3-CLK
        CLKA   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC3-CLKA
        LOCKED : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC3-LOCKED
        RST    : in  STD_LOGIC                               -- ObjectKind=Pin|PrimaryId=IC3-RST
      );
   End Component;

   Component Configurable_U3000                              -- ObjectKind=Part|PrimaryId=U3000|SecondaryId=1
      port
      (
        I  : in  STD_LOGIC_VECTOR(1 downto 0);               -- ObjectKind=Pin|PrimaryId=U3000-I[1..0]
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U3000-O0
        O1 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U3000-O1
      );
   End Component;

   Component Configurable_U_CPU                              -- ObjectKind=Part|PrimaryId=U_CPU|SecondaryId=1
      port
      (
        CLK_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-CLK_I
        INT_I    : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_CPU-INT_I[31..0]
        IO_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-IO_ACK_I
        IO_ADR_O : out STD_LOGIC_VECTOR(23 downto 0);        -- ObjectKind=Pin|PrimaryId=U_CPU-IO_ADR_O[23..0]
        IO_CLK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-IO_CLK_O
        IO_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-IO_CYC_O
        IO_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_CPU-IO_DAT_I[31..0]
        IO_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_CPU-IO_DAT_O[31..0]
        IO_RST_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-IO_RST_O
        IO_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=U_CPU-IO_SEL_O[3..0]
        IO_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-IO_STB_O
        IO_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-IO_WE_O
        ME_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-ME_ACK_I
        ME_ADR_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_CPU-ME_ADR_O[31..0]
        ME_CLK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-ME_CLK_O
        ME_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-ME_CYC_O
        ME_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_CPU-ME_DAT_I[31..0]
        ME_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_CPU-ME_DAT_O[31..0]
        ME_RST_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-ME_RST_O
        ME_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=U_CPU-ME_SEL_O[3..0]
        ME_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-ME_STB_O
        ME_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-ME_WE_O
        RST_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-RST_I
        TCK      : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-TCK
        TDI      : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-TDI
        TDO      : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-TDO
        TMS      : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_CPU-TMS
        TRST     : in  STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=U_CPU-TRST
      );
   End Component;

   Component Configurable_U_IO_INTERCON                      -- ObjectKind=Part|PrimaryId=U_IO_INTERCON|SecondaryId=1
      port
      (
        m0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_ACK_O
        m0_ADR_I : in  STD_LOGIC_VECTOR(23 downto 0);        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_ADR_I[23..0]
        m0_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_CLK_I
        m0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_CYC_I
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_DAT_O[31..0]
        m0_INT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_INT_O[31..0]
        m0_RST_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_RST_I
        m0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_SEL_I[3..0]
        m0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_STB_I
        m0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_WE_I
        s0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_ACK_I
        s0_ADR_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_ADR_O[3..0]
        s0_CLK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_CLK_O
        s0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_CYC_O
        s0_DAT_I : in  STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_DAT_I[7..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_DAT_O[7..0]
        s0_RST_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_RST_O
        s0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_SEL_O[3..0]
        s0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_STB_O
        s0_WE_O  : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_WE_O
      );
   End Component;

   Component Configurable_U_MEM_CTRL                         -- ObjectKind=Part|PrimaryId=U_MEM_CTRL|SecondaryId=1
      port
      (
        MEM_A      : out   STD_LOGIC_VECTOR(17 downto 0);    -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_A[17..0]
        MEM_BE     : out   STD_LOGIC_VECTOR(1 downto 0);     -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_BE[1..0]
        MEM_D      : inout STD_LOGIC_VECTOR(15 downto 0);    -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_OE     : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_OE
        MEM_SRAM_E : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_SRAM_E
        MEM_W      : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_W
        SRAM_ACK_O : out   STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_ACK_O
        SRAM_ADR_I : in    STD_LOGIC_VECTOR(18 downto 0);    -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_ADR_I[18..0]
        SRAM_CLK_I : in    STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_CLK_I
        SRAM_CYC_I : in    STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_CYC_I
        SRAM_DAT_I : in    STD_LOGIC_VECTOR(31 downto 0);    -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_DAT_I[31..0]
        SRAM_DAT_O : out   STD_LOGIC_VECTOR(31 downto 0);    -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_DAT_O[31..0]
        SRAM_RST_I : in    STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_RST_I
        SRAM_SEL_I : in    STD_LOGIC_VECTOR(3 downto 0);     -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_SEL_I[3..0]
        SRAM_STB_I : in    STD_LOGIC;                        -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_STB_I
        SRAM_WE_I  : in    STD_LOGIC                         -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_WE_I
      );
   End Component;

   Component Configurable_U_MEM_INTERCON                     -- ObjectKind=Part|PrimaryId=U_MEM_INTERCON|SecondaryId=1
      port
      (
        m0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_ACK_O
        m0_ADR_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_ADR_I[31..0]
        m0_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_CLK_I
        m0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_CYC_I
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_DAT_O[31..0]
        m0_RST_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_RST_I
        m0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_SEL_I[3..0]
        m0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_STB_I
        m0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_WE_I
        s0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_ACK_I
        s0_ADR_O : out STD_LOGIC_VECTOR(18 downto 0);        -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_ADR_O[18..0]
        s0_CLK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_CLK_O
        s0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_CYC_O
        s0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_DAT_I[31..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_DAT_O[31..0]
        s0_RST_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_RST_O
        s0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_SEL_O[3..0]
        s0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_STB_O
        s0_WE_O  : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_WE_O
      );
   End Component;

   Component FPGA_STARTUP8                                   -- ObjectKind=Part|PrimaryId=IC5|SecondaryId=1
      port
      (
        CLK   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=IC5-CLK
        DELAY : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=IC5-DELAY[7..0]
        INIT  : out STD_LOGIC                                -- ObjectKind=Pin|PrimaryId=IC5-INIT
      );
   End Component;

   Component TERMINAL                                        -- ObjectKind=Part|PrimaryId=U_TERMINAL|SecondaryId=1
      port
      (
        ACK_O : out STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-ACK_O
        ADR_I : in  STD_LOGIC_VECTOR(3 downto 0);            -- ObjectKind=Pin|PrimaryId=U_TERMINAL-ADR_I[3..0]
        CLK_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-CLK_I
        CYC_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-CYC_I
        DAT_I : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=U_TERMINAL-DAT_I[7..0]
        DAT_O : out STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=U_TERMINAL-DAT_O[7..0]
        INT_O : out STD_LOGIC_VECTOR(1 downto 0);            -- ObjectKind=Pin|PrimaryId=U_TERMINAL-INT_O[1..0]
        RST_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-RST_I
        STB_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-STB_I
        TCK   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-TCK
        TDI   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-TDI
        TDO   : out STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-TDO
        TMS   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-TMS
        TRST  : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U_TERMINAL-TRST
        WE_I  : in  STD_LOGIC                                -- ObjectKind=Pin|PrimaryId=U_TERMINAL-WE_I
      );
   End Component;


    Signal NamedSignal_CLK_I                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK_I
    Signal NamedSignal_JTAG_NEXUS_TRST       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TRST
    Signal NamedSignal_RST_I                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST_I
    Signal NamedSignal_VCC1_BUS              : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=VCC1_BUS[7..0]
    Signal PinSignal_IC2_CLKA                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=C120M
    Signal PinSignal_IC3_CLKA                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK_I
    Signal PinSignal_IC5_INIT                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST_I
    Signal PinSignal_U_CPU_IO_ADR_O          : STD_LOGIC_VECTOR(23 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_ADR_O[23..0]
    Signal PinSignal_U_CPU_IO_CLK_O          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_CLK_O
    Signal PinSignal_U_CPU_IO_CYC_O          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_CYC_O
    Signal PinSignal_U_CPU_IO_DAT_O          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_DAT_O[31..0]
    Signal PinSignal_U_CPU_IO_RST_O          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_RST_O
    Signal PinSignal_U_CPU_IO_SEL_O          : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_SEL_O[3..0]
    Signal PinSignal_U_CPU_IO_STB_O          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_STB_O
    Signal PinSignal_U_CPU_IO_WE_O           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_WE_O
    Signal PinSignal_U_CPU_ME_ADR_O          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_ADR_O[31..0]
    Signal PinSignal_U_CPU_ME_CLK_O          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_CLK_O
    Signal PinSignal_U_CPU_ME_CYC_O          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_CYC_O
    Signal PinSignal_U_CPU_ME_DAT_O          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_DAT_O[31..0]
    Signal PinSignal_U_CPU_ME_RST_O          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_RST_O
    Signal PinSignal_U_CPU_ME_SEL_O          : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_SEL_O[3..0]
    Signal PinSignal_U_CPU_ME_STB_O          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_STB_O
    Signal PinSignal_U_CPU_ME_WE_O           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_WE_O
    Signal PinSignal_U_CPU_TDO               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_LINK0
    Signal PinSignal_U_IO_INTERCON_m0_ACK_O  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_ACK_I
    Signal PinSignal_U_IO_INTERCON_m0_DAT_O  : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_IO_DAT_I[31..0]
    Signal PinSignal_U_IO_INTERCON_m0_INT_O  : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_INT_I[31..0]
    Signal PinSignal_U_IO_INTERCON_s0_ADR_O  : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_ADR_O[3..0]
    Signal PinSignal_U_IO_INTERCON_s0_CLK_O  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_CLK_O
    Signal PinSignal_U_IO_INTERCON_s0_CYC_O  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_CYC_O
    Signal PinSignal_U_IO_INTERCON_s0_DAT_O  : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_DAT_O[7..0]
    Signal PinSignal_U_IO_INTERCON_s0_RST_O  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_RST_O
    Signal PinSignal_U_IO_INTERCON_s0_STB_O  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_STB_O
    Signal PinSignal_U_IO_INTERCON_s0_WE_O   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_WE_O
    Signal PinSignal_U_MEM_CTRL_MEM_A        : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=BUS_A[17..0]
    Signal PinSignal_U_MEM_CTRL_MEM_BE       : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=NetU3000_I[1..0]
    Signal PinSignal_U_MEM_CTRL_MEM_OE       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_MEM_OE
    Signal PinSignal_U_MEM_CTRL_MEM_SRAM_E   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_MEM_SRAM_E
    Signal PinSignal_U_MEM_CTRL_MEM_W        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_MEM_W
    Signal PinSignal_U_MEM_CTRL_SRAM_ACK_O   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_SRAM_ACK_O
    Signal PinSignal_U_MEM_CTRL_SRAM_DAT_O   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_SRAM_DAT_O[31..0]
    Signal PinSignal_U_MEM_INTERCON_m0_ACK_O : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_ACK_I
    Signal PinSignal_U_MEM_INTERCON_m0_DAT_O : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_CPU_ME_DAT_I[31..0]
    Signal PinSignal_U_MEM_INTERCON_s0_ADR_O : STD_LOGIC_VECTOR(18 downto 0); -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_SRAM_ADR_I[18..0]
    Signal PinSignal_U_MEM_INTERCON_s0_CLK_O : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_SRAM_CLK_I
    Signal PinSignal_U_MEM_INTERCON_s0_CYC_O : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_SRAM_CYC_I
    Signal PinSignal_U_MEM_INTERCON_s0_DAT_O : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_SRAM_DAT_I[31..0]
    Signal PinSignal_U_MEM_INTERCON_s0_RST_O : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_SRAM_RST_I
    Signal PinSignal_U_MEM_INTERCON_s0_SEL_O : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_SRAM_SEL_I[3..0]
    Signal PinSignal_U_MEM_INTERCON_s0_STB_O : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_SRAM_STB_I
    Signal PinSignal_U_MEM_INTERCON_s0_WE_O  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_SRAM_WE_I
    Signal PinSignal_U_TERMINAL_ACK_O        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_ACK_I
    Signal PinSignal_U_TERMINAL_DAT_O        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=NetU_IO_INTERCON_s0_DAT_I[7..0]
    Signal PinSignal_U_TERMINAL_TDO          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=D2
    Signal PinSignal_U3000_O0                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU3000_O0
    Signal PinSignal_U3000_O1                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU3000_O1
    Signal PowerSignal_GND                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TRST



begin
    U_TERMINAL : TERMINAL                                    -- ObjectKind=Part|PrimaryId=U_TERMINAL|SecondaryId=1
      Port Map
      (
        ACK_O => PinSignal_U_TERMINAL_ACK_O,                 -- ObjectKind=Pin|PrimaryId=U_TERMINAL-ACK_O
        ADR_I => PinSignal_U_IO_INTERCON_s0_ADR_O,           -- ObjectKind=Pin|PrimaryId=U_TERMINAL-ADR_I[3..0]
        CLK_I => PinSignal_U_IO_INTERCON_s0_CLK_O,           -- ObjectKind=Pin|PrimaryId=U_TERMINAL-CLK_I
        CYC_I => PinSignal_U_IO_INTERCON_s0_CYC_O,           -- ObjectKind=Pin|PrimaryId=U_TERMINAL-CYC_I
        DAT_I => PinSignal_U_IO_INTERCON_s0_DAT_O,           -- ObjectKind=Pin|PrimaryId=U_TERMINAL-DAT_I[7..0]
        DAT_O => PinSignal_U_TERMINAL_DAT_O,                 -- ObjectKind=Pin|PrimaryId=U_TERMINAL-DAT_O[7..0]
        RST_I => PinSignal_U_IO_INTERCON_s0_RST_O,           -- ObjectKind=Pin|PrimaryId=U_TERMINAL-RST_I
        STB_I => PinSignal_U_IO_INTERCON_s0_STB_O,           -- ObjectKind=Pin|PrimaryId=U_TERMINAL-STB_I
        TCK   => D0,                                         -- ObjectKind=Pin|PrimaryId=U_TERMINAL-TCK
        TDI   => PinSignal_U_CPU_TDO,                        -- ObjectKind=Pin|PrimaryId=U_TERMINAL-TDI
        TDO   => PinSignal_U_TERMINAL_TDO,                   -- ObjectKind=Pin|PrimaryId=U_TERMINAL-TDO
        TMS   => D3,                                         -- ObjectKind=Pin|PrimaryId=U_TERMINAL-TMS
        TRST  => NamedSignal_JTAG_NEXUS_TRST,                -- ObjectKind=Pin|PrimaryId=U_TERMINAL-TRST
        WE_I  => PinSignal_U_IO_INTERCON_s0_WE_O             -- ObjectKind=Pin|PrimaryId=U_TERMINAL-WE_I
      );

    U_MEM_INTERCON : Configurable_U_MEM_INTERCON             -- ObjectKind=Part|PrimaryId=U_MEM_INTERCON|SecondaryId=1
      Port Map
      (
        m0_ACK_O => PinSignal_U_MEM_INTERCON_m0_ACK_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_ACK_O
        m0_ADR_I => PinSignal_U_CPU_ME_ADR_O,                -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_ADR_I[31..0]
        m0_CLK_I => PinSignal_U_CPU_ME_CLK_O,                -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_CLK_I
        m0_CYC_I => PinSignal_U_CPU_ME_CYC_O,                -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_CYC_I
        m0_DAT_I => PinSignal_U_CPU_ME_DAT_O,                -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_U_MEM_INTERCON_m0_DAT_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_DAT_O[31..0]
        m0_RST_I => PinSignal_U_CPU_ME_RST_O,                -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_RST_I
        m0_SEL_I => PinSignal_U_CPU_ME_SEL_O,                -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_SEL_I[3..0]
        m0_STB_I => PinSignal_U_CPU_ME_STB_O,                -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_STB_I
        m0_WE_I  => PinSignal_U_CPU_ME_WE_O,                 -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-m0_WE_I
        s0_ACK_I => PinSignal_U_MEM_CTRL_SRAM_ACK_O,         -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_ACK_I
        s0_ADR_O => PinSignal_U_MEM_INTERCON_s0_ADR_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_ADR_O[18..0]
        s0_CLK_O => PinSignal_U_MEM_INTERCON_s0_CLK_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_CLK_O
        s0_CYC_O => PinSignal_U_MEM_INTERCON_s0_CYC_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_CYC_O
        s0_DAT_I => PinSignal_U_MEM_CTRL_SRAM_DAT_O,         -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_DAT_I[31..0]
        s0_DAT_O => PinSignal_U_MEM_INTERCON_s0_DAT_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_DAT_O[31..0]
        s0_RST_O => PinSignal_U_MEM_INTERCON_s0_RST_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_RST_O
        s0_SEL_O => PinSignal_U_MEM_INTERCON_s0_SEL_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_SEL_O[3..0]
        s0_STB_O => PinSignal_U_MEM_INTERCON_s0_STB_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_STB_O
        s0_WE_O  => PinSignal_U_MEM_INTERCON_s0_WE_O         -- ObjectKind=Pin|PrimaryId=U_MEM_INTERCON-s0_WE_O
      );

    U_MEM_CTRL : Configurable_U_MEM_CTRL                     -- ObjectKind=Part|PrimaryId=U_MEM_CTRL|SecondaryId=1
      Port Map
      (
        MEM_A      => PinSignal_U_MEM_CTRL_MEM_A,            -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_A[17..0]
        MEM_BE     => PinSignal_U_MEM_CTRL_MEM_BE,           -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_BE[1..0]
        MEM_D(15)  => BUS_D(15),                             -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(14)  => BUS_D(14),                             -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(13)  => BUS_D(13),                             -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(12)  => BUS_D(12),                             -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(11)  => BUS_D(11),                             -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(10)  => BUS_D(10),                             -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(9)   => BUS_D(9),                              -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(8)   => BUS_D(8),                              -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(7)   => BUS_D(7),                              -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(6)   => BUS_D(6),                              -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(5)   => BUS_D(5),                              -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(4)   => BUS_D(4),                              -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(3)   => BUS_D(3),                              -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(2)   => BUS_D(2),                              -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(1)   => BUS_D(1),                              -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_D(0)   => BUS_D(0),                              -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_D[15..0]
        MEM_OE     => PinSignal_U_MEM_CTRL_MEM_OE,           -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_OE
        MEM_SRAM_E => PinSignal_U_MEM_CTRL_MEM_SRAM_E,       -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_SRAM_E
        MEM_W      => PinSignal_U_MEM_CTRL_MEM_W,            -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-MEM_W
        SRAM_ACK_O => PinSignal_U_MEM_CTRL_SRAM_ACK_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_ACK_O
        SRAM_ADR_I => PinSignal_U_MEM_INTERCON_s0_ADR_O,     -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_ADR_I[18..0]
        SRAM_CLK_I => PinSignal_U_MEM_INTERCON_s0_CLK_O,     -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_CLK_I
        SRAM_CYC_I => PinSignal_U_MEM_INTERCON_s0_CYC_O,     -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_CYC_I
        SRAM_DAT_I => PinSignal_U_MEM_INTERCON_s0_DAT_O,     -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_DAT_I[31..0]
        SRAM_DAT_O => PinSignal_U_MEM_CTRL_SRAM_DAT_O,       -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_DAT_O[31..0]
        SRAM_RST_I => PinSignal_U_MEM_INTERCON_s0_RST_O,     -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_RST_I
        SRAM_SEL_I => PinSignal_U_MEM_INTERCON_s0_SEL_O,     -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_SEL_I[3..0]
        SRAM_STB_I => PinSignal_U_MEM_INTERCON_s0_STB_O,     -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_STB_I
        SRAM_WE_I  => PinSignal_U_MEM_INTERCON_s0_WE_O       -- ObjectKind=Pin|PrimaryId=U_MEM_CTRL-SRAM_WE_I
      );

    U_IO_INTERCON : Configurable_U_IO_INTERCON               -- ObjectKind=Part|PrimaryId=U_IO_INTERCON|SecondaryId=1
      Port Map
      (
        m0_ACK_O => PinSignal_U_IO_INTERCON_m0_ACK_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_ACK_O
        m0_ADR_I => PinSignal_U_CPU_IO_ADR_O,                -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_ADR_I[23..0]
        m0_CLK_I => PinSignal_U_CPU_IO_CLK_O,                -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_CLK_I
        m0_CYC_I => PinSignal_U_CPU_IO_CYC_O,                -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_CYC_I
        m0_DAT_I => PinSignal_U_CPU_IO_DAT_O,                -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_U_IO_INTERCON_m0_DAT_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_DAT_O[31..0]
        m0_INT_O => PinSignal_U_IO_INTERCON_m0_INT_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_INT_O[31..0]
        m0_RST_I => PinSignal_U_CPU_IO_RST_O,                -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_RST_I
        m0_SEL_I => PinSignal_U_CPU_IO_SEL_O,                -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_SEL_I[3..0]
        m0_STB_I => PinSignal_U_CPU_IO_STB_O,                -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_STB_I
        m0_WE_I  => PinSignal_U_CPU_IO_WE_O,                 -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-m0_WE_I
        s0_ACK_I => PinSignal_U_TERMINAL_ACK_O,              -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_ACK_I
        s0_ADR_O => PinSignal_U_IO_INTERCON_s0_ADR_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_ADR_O[3..0]
        s0_CLK_O => PinSignal_U_IO_INTERCON_s0_CLK_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_CLK_O
        s0_CYC_O => PinSignal_U_IO_INTERCON_s0_CYC_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_CYC_O
        s0_DAT_I => PinSignal_U_TERMINAL_DAT_O,              -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_DAT_I[7..0]
        s0_DAT_O => PinSignal_U_IO_INTERCON_s0_DAT_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_DAT_O[7..0]
        s0_RST_O => PinSignal_U_IO_INTERCON_s0_RST_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_RST_O
        s0_STB_O => PinSignal_U_IO_INTERCON_s0_STB_O,        -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_STB_O
        s0_WE_O  => PinSignal_U_IO_INTERCON_s0_WE_O          -- ObjectKind=Pin|PrimaryId=U_IO_INTERCON-s0_WE_O
      );

    U_CPU : Configurable_U_CPU                               -- ObjectKind=Part|PrimaryId=U_CPU|SecondaryId=1
      Port Map
      (
        CLK_I    => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=U_CPU-CLK_I
        INT_I    => PinSignal_U_IO_INTERCON_m0_INT_O,        -- ObjectKind=Pin|PrimaryId=U_CPU-INT_I[31..0]
        IO_ACK_I => PinSignal_U_IO_INTERCON_m0_ACK_O,        -- ObjectKind=Pin|PrimaryId=U_CPU-IO_ACK_I
        IO_ADR_O => PinSignal_U_CPU_IO_ADR_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-IO_ADR_O[23..0]
        IO_CLK_O => PinSignal_U_CPU_IO_CLK_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-IO_CLK_O
        IO_CYC_O => PinSignal_U_CPU_IO_CYC_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-IO_CYC_O
        IO_DAT_I => PinSignal_U_IO_INTERCON_m0_DAT_O,        -- ObjectKind=Pin|PrimaryId=U_CPU-IO_DAT_I[31..0]
        IO_DAT_O => PinSignal_U_CPU_IO_DAT_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-IO_DAT_O[31..0]
        IO_RST_O => PinSignal_U_CPU_IO_RST_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-IO_RST_O
        IO_SEL_O => PinSignal_U_CPU_IO_SEL_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-IO_SEL_O[3..0]
        IO_STB_O => PinSignal_U_CPU_IO_STB_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-IO_STB_O
        IO_WE_O  => PinSignal_U_CPU_IO_WE_O,                 -- ObjectKind=Pin|PrimaryId=U_CPU-IO_WE_O
        ME_ACK_I => PinSignal_U_MEM_INTERCON_m0_ACK_O,       -- ObjectKind=Pin|PrimaryId=U_CPU-ME_ACK_I
        ME_ADR_O => PinSignal_U_CPU_ME_ADR_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-ME_ADR_O[31..0]
        ME_CLK_O => PinSignal_U_CPU_ME_CLK_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-ME_CLK_O
        ME_CYC_O => PinSignal_U_CPU_ME_CYC_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-ME_CYC_O
        ME_DAT_I => PinSignal_U_MEM_INTERCON_m0_DAT_O,       -- ObjectKind=Pin|PrimaryId=U_CPU-ME_DAT_I[31..0]
        ME_DAT_O => PinSignal_U_CPU_ME_DAT_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-ME_DAT_O[31..0]
        ME_RST_O => PinSignal_U_CPU_ME_RST_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-ME_RST_O
        ME_SEL_O => PinSignal_U_CPU_ME_SEL_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-ME_SEL_O[3..0]
        ME_STB_O => PinSignal_U_CPU_ME_STB_O,                -- ObjectKind=Pin|PrimaryId=U_CPU-ME_STB_O
        ME_WE_O  => PinSignal_U_CPU_ME_WE_O,                 -- ObjectKind=Pin|PrimaryId=U_CPU-ME_WE_O
        RST_I    => NamedSignal_RST_I,                       -- ObjectKind=Pin|PrimaryId=U_CPU-RST_I
        TCK      => D0,                                      -- ObjectKind=Pin|PrimaryId=U_CPU-TCK
        TDI      => D1,                                      -- ObjectKind=Pin|PrimaryId=U_CPU-TDI
        TDO      => PinSignal_U_CPU_TDO,                     -- ObjectKind=Pin|PrimaryId=U_CPU-TDO
        TMS      => D3,                                      -- ObjectKind=Pin|PrimaryId=U_CPU-TMS
        TRST     => NamedSignal_JTAG_NEXUS_TRST              -- ObjectKind=Pin|PrimaryId=U_CPU-TRST
      );

    U3000 : Configurable_U3000                               -- ObjectKind=Part|PrimaryId=U3000|SecondaryId=1
      Port Map
      (
        I  => PinSignal_U_MEM_CTRL_MEM_BE,                   -- ObjectKind=Pin|PrimaryId=U3000-I[1..0]
        O0 => PinSignal_U3000_O0,                            -- ObjectKind=Pin|PrimaryId=U3000-O0
        O1 => PinSignal_U3000_O1                             -- ObjectKind=Pin|PrimaryId=U3000-O1
      );

    IC5 : FPGA_STARTUP8                                      -- ObjectKind=Part|PrimaryId=IC5|SecondaryId=1
      Port Map
      (
        CLK   => PinSignal_IC3_CLKA,                         -- ObjectKind=Pin|PrimaryId=IC5-CLK
        DELAY => NamedSignal_VCC1_BUS,                       -- ObjectKind=Pin|PrimaryId=IC5-DELAY[7..0]
        INIT  => PinSignal_IC5_INIT                          -- ObjectKind=Pin|PrimaryId=IC5-INIT
      );

    IC3 : Configurable_IC3                                   -- ObjectKind=Part|PrimaryId=IC3|SecondaryId=1
      Port Map
      (
        CLK  => PinSignal_IC2_CLKA,                          -- ObjectKind=Pin|PrimaryId=IC3-CLK
        CLKA => PinSignal_IC3_CLKA,                          -- ObjectKind=Pin|PrimaryId=IC3-CLKA
        RST  => PowerSignal_GND                              -- ObjectKind=Pin|PrimaryId=IC3-RST
      );

    IC2 : Clock_IC2                                          -- ObjectKind=Part|PrimaryId=IC2|SecondaryId=1
      Port Map
      (
        CLK  => CLK12M,                                      -- ObjectKind=Pin|PrimaryId=IC2-CLK
        CLKA => PinSignal_IC2_CLKA,                          -- ObjectKind=Pin|PrimaryId=IC2-CLKA
        RST  => PowerSignal_GND                              -- ObjectKind=Pin|PrimaryId=IC2-RST
      );

    -- Signal Assignments
    ---------------------
    BUS_A                       <= PinSignal_U_MEM_CTRL_MEM_A; -- ObjectKind=Net|PrimaryId=BUS_A[17..0]
    BUS_NBE0                    <= PinSignal_U3000_O1; -- ObjectKind=Net|PrimaryId=NetU3000_O1
    BUS_NBE1                    <= PinSignal_U3000_O0; -- ObjectKind=Net|PrimaryId=NetU3000_O0
    BUS_NWE                     <= PinSignal_U_MEM_CTRL_MEM_W; -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_MEM_W
    D2                          <= PinSignal_U_TERMINAL_TDO; -- ObjectKind=Net|PrimaryId=D2
    NamedSignal_CLK_I           <= PinSignal_IC3_CLKA; -- ObjectKind=Net|PrimaryId=CLK_I
    NamedSignal_JTAG_NEXUS_TRST <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TRST
    NamedSignal_RST_I           <= PinSignal_IC5_INIT; -- ObjectKind=Net|PrimaryId=RST_I
    NamedSignal_VCC1_BUS        <= "11111111"; -- ObjectKind=Net|PrimaryId=VCC1_BUS[7..0]
    PowerSignal_GND             <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC             <= '1'; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TRST
    SDRAM_NCS                   <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_TRST
    SRAM_NCS                    <= PinSignal_U_MEM_CTRL_MEM_SRAM_E; -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_MEM_SRAM_E
    SRAM_NOE                    <= PinSignal_U_MEM_CTRL_MEM_OE; -- ObjectKind=Net|PrimaryId=NetU_MEM_CTRL_MEM_OE

end structure;
------------------------------------------------------------

